%define name    evas_generic_loaders
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Evas generic loader
Name: 		evas_generic_loaders
Version: 	%version
Release: 	%release
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/
Source: 	http://download.enlightenment.org/releases/%name-%version.tar.bz2
BuildRequires:  pkgconfig
BuildRequires: pkgconfig(cairo) >= 1.0.0
BuildRequires: pkgconfig(eina) >= %{version}
BuildRequires: pkgconfig(gstreamer-0.10) >= 0.10.13
BuildRequires: pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.13
BuildRequires: pkgconfig(libraw)
BuildRequires: pkgconfig(librsvg-2.0) >= 2.14.0
BuildRequires: pkgconfig(libspectre)
BuildRequires: pkgconfig(poppler)

%description
Evas_generic_loaders is an evas generic loader

This package is part of the Enlightenment DR17 desktop shell.

%prep
%setup -qn %name-%version

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS COPYING README
%{_libdir}/evas/utils


%changelog
* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552466
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-4.mga4
+ Revision: 463329
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-3.mga4
+ Revision: 463236
- increase release to rebuild

* Wed Jul 31 2013 fwang <fwang> 1.7.7-3.mga4
+ Revision: 461351
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 1.7.7-2.mga4
+ Revision: 456507
- rebuild for new poppler

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444941
- new version 1.7.7

* Tue May 28 2013 wally <wally> 1.7.5-5.mga4
+ Revision: 429655
- rebuild for new libraw

* Fri May 24 2013 fwang <fwang> 1.7.5-4.mga4
+ Revision: 425825
- rebuild for new poppler

* Tue May 07 2013 trem <trem> 1.7.5-3.mga3
+ Revision: 412568
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 339279
- update to release 1.7.5

* Sun Dec 30 2012 fwang <fwang> 1.7.4-2.mga3
+ Revision: 336398
- rebuild for new poppler

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333861
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327936
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321323
- update to release 1.7.2

* Thu Nov 22 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 321055
- update to release 1.7.1
- update to release 1.7.1

* Mon Nov 12 2012 fwang <fwang> 1.7.0-3.mga3
+ Revision: 317116
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 1.7.0-2.mga3
+ Revision: 304199
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 1.7.0-1.mga3
+ Revision: 292150
- cleanup spec
- rebuild for new poppler

* Tue Aug 28 2012 fwang <fwang> 1.2.0-4.mga3
+ Revision: 284930
- rebuild for new poppler

  + luigiwalser <luigiwalser>
    - rebuild for new poppler

* Wed Jun 13 2012 fwang <fwang> 1.2.0-2.mga3
+ Revision: 260272
- fix build with latest popper
- rebuild for new poppler

* Thu Jun 07 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 257088
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222681
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222415
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217992
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217542
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215208
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214421
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213966
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212073
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210789
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210237
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207540
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207253
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206962
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 205997
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Fri Jan 06 2012 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 192394
- add BR subversion, libz-devel, poppler-devel, libspectre-devel, libraw-devel, gstreamer0.10-devel
- fix BR (adding eina-devel)
- imported package evas_generic_loaders

